tbb::interface5::internal Namespace Reference

## Classes

class | concurrent_unordered_base
class | flist_iterator
class | hash_compare
class | hash_map_base
| base class of concurrent_hash_map More...
class | hash_map_iterator
| Meets requirements of a forward iterator for STL *‍/. More...
struct | hash_map_node_base
| Node base type. More...
class | hash_map_range
| Range class used with concurrent_hash_map. More...
class | solist_iterator
class | split_ordered_list
class | task_base
| Base class for methods that became static in TBB 3.0. More...
struct | use_element_copy_constructor

## Typedefs

typedef size_t | hashcode_t
| Type of a hash code. More...
typedef size_t | sokey_t

## Functions

template<typename Container , typename T , typename U >
bool | operator== (const hash_map_iterator< Container, T > &i, const hash_map_iterator< Container, U > &j)
template<typename Container , typename T , typename U >
bool | operator!= (const hash_map_iterator< Container, T > &i, const hash_map_iterator< Container, U > &j)
template<typename Solist , typename T , typename U >
bool | operator== (const flist_iterator< Solist, T > &i, const flist_iterator< Solist, U > &j)
template<typename Solist , typename T , typename U >
bool | operator!= (const flist_iterator< Solist, T > &i, const flist_iterator< Solist, U > &j)
template<typename Solist , typename T , typename U >
bool | operator== (const solist_iterator< Solist, T > &i, const solist_iterator< Solist, U > &j)
template<typename Solist , typename T , typename U >
bool | operator!= (const solist_iterator< Solist, T > &i, const solist_iterator< Solist, U > &j)

## Variables

static hash_map_node_base *const | rehash_req = reinterpret_cast<hash_map_node_base*>(size_t(3))
| Incompleteness flag value. More...
static hash_map_node_base *const | empty_rehashed = reinterpret_cast<hash_map_node_base*>(size_t(0))
| Rehashed empty bucket flag. More...
static const size_t | hash_multiplier = tbb::internal::select_size_t_constant<2654435769U, 11400714819323198485ULL>::value
| Hash multiplier. More...

## Typedef Documentation

## hashcode_t

typedef size_t tbb::interface5::internal::hashcode_t

Type of a hash code.

Definition at line 66 of file concurrent_hash_map.h.

## sokey_t

typedef size_t tbb::interface5::internal::sokey_t

Definition at line 198 of file _concurrent_unordered_impl.h.

## Function Documentation

## operator!=() [1/3]

template<typename Solist , typename T , typename U >

bool tbb::interface5::internal::operator!= | ( | const flist_iterator< Solist, T > & | i,
|  | const flist_iterator< Solist, U > & | j
| ) |  |

Definition at line 123 of file _concurrent_unordered_impl.h.

{
return i.my_node_ptr != j.my_node_ptr;
}

References tbb::interface5::internal::flist_iterator< Solist, Value >::my_node_ptr.

## operator!=() [2/3]

template<typename Container , typename T , typename U >

bool tbb::interface5::internal::operator!= | ( | const hash_map_iterator< Container, T > & | i,
|  | const hash_map_iterator< Container, U > & | j
| ) |  |

Definition at line 461 of file concurrent_hash_map.h.

{
return i.my_node != j.my_node || i.my_map != j.my_map;
}

References tbb::interface5::internal::hash_map_iterator< Container, Value >::my_map, and tbb::interface5::internal::hash_map_iterator< Container, Value >::my_node.

## operator!=() [3/3]

template<typename Solist , typename T , typename U >

bool tbb::interface5::internal::operator!= | ( | const solist_iterator< Solist, T > & | i,
|  | const solist_iterator< Solist, U > & | j
| ) |  |

Definition at line 193 of file _concurrent_unordered_impl.h.

{
return i.my_node_ptr != j.my_node_ptr || i.my_list_ptr != j.my_list_ptr;
}

References tbb::interface5::internal::solist_iterator< Solist, Value >::my_list_ptr, and tbb::interface5::internal::flist_iterator< Solist, Value >::my_node_ptr.

## operator==() [1/3]

template<typename Solist , typename T , typename U >

bool tbb::interface5::internal::operator== | ( | const flist_iterator< Solist, T > & | i,
|  | const flist_iterator< Solist, U > & | j
| ) |  |

Definition at line 119 of file _concurrent_unordered_impl.h.

{
return i.my_node_ptr == j.my_node_ptr;
}

References tbb::interface5::internal::flist_iterator< Solist, Value >::my_node_ptr.

## operator==() [2/3]

template<typename Container , typename T , typename U >

bool tbb::interface5::internal::operator== | ( | const hash_map_iterator< Container, T > & | i,
|  | const hash_map_iterator< Container, U > & | j
| ) |  |

Definition at line 456 of file concurrent_hash_map.h.

{
return i.my_node == j.my_node && i.my_map == j.my_map;
}

References tbb::interface5::internal::hash_map_iterator< Container, Value >::my_map, and tbb::interface5::internal::hash_map_iterator< Container, Value >::my_node.

## operator==() [3/3]

template<typename Solist , typename T , typename U >

bool tbb::interface5::internal::operator== | ( | const solist_iterator< Solist, T > & | i,
|  | const solist_iterator< Solist, U > & | j
| ) |  |

Definition at line 189 of file _concurrent_unordered_impl.h.

{
return i.my_node_ptr == j.my_node_ptr && i.my_list_ptr == j.my_list_ptr;
}

References tbb::interface5::internal::solist_iterator< Solist, Value >::my_list_ptr, and tbb::interface5::internal::flist_iterator< Solist, Value >::my_node_ptr.

## Variable Documentation

## empty_rehashed

hash_map_node_base* const tbb::interface5::internal::empty_rehashed = reinterpret_cast<hash_map_node_base*>(size_t(0))

static

Rehashed empty bucket flag.

Definition at line 80 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::clear(), tbb::interface5::internal::hash_map_base::mark_rehashed_levels(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash_bucket().

## hash_multiplier

const size_t tbb::interface5::internal::hash_multiplier = tbb::internal::select_size_t_constant<2654435769U, 11400714819323198485ULL>::value

static

Hash multiplier.

Definition at line 55 of file _tbb_hash_compare_impl.h.

Referenced by tbb::interface5::__TBB_DEPRECATED_MSG().

## rehash_req

hash_map_node_base* const tbb::interface5::internal::rehash_req = reinterpret_cast<hash_map_node_base*>(size_t(3))

static

Incompleteness flag value.

Definition at line 78 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::bucket_accessor::acquire(), tbb::interface5::internal::hash_map_base::add_to_bucket(), tbb::interface5::internal::hash_map_base::check_rehashing_collision(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::clear(), tbb::interface5::internal::hash_map_base::init_buckets(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_copy(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_equal_range(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_fast_find(), tbb::interface5::internal::hash_map_base::mark_rehashed_levels(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::search_bucket().

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.